/*
 	File:		GXFonts.h
 
 	Contains:	QuickDraw GX font routine interfaces.
 
 	Version:	Technology:	Quickdraw GX 1.1
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
*/
#ifndef __GXFONTS__
#define __GXFONTS__

#ifndef __CONDITIONALMACROS__
#include <ConditionalMacros.h>
#endif
#ifndef __GXMATH__
#include <GXMath.h>
#endif
#ifndef __GXTYPES__
#include <GXTypes.h>
#endif
#ifndef __SCALERSTREAMTYPES__
#include <ScalerStreamTypes.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if defined(__MWERKS__) && GENERATING68K
	#pragma push
	#pragma pointers_in_D0
#endif
 
#if FOR_SYSTEM7_AND_SYSTEM8_COOPERATIVE
extern gxFont GXNewFont(gxFontStorageTag storage, gxFontStorageReference reference, gxFontAttribute attributes)
 THREEWORDINLINE(0x303C, 0x0201, 0xA832);

extern gxFontStorageTag GXGetFont(gxFont fontID, gxFontStorageReference *reference, gxFontAttribute *attributes)
 THREEWORDINLINE(0x303C, 0x0202, 0xA832);

extern gxFont GXFindFont(gxFontStorageTag storage, gxFontStorageReference reference, gxFontAttribute *attributes)
 THREEWORDINLINE(0x303C, 0x0203, 0xA832);

extern void GXSetFont(gxFont fontID, gxFontStorageTag storage, gxFontStorageReference reference, gxFontAttribute attributes)
 THREEWORDINLINE(0x303C, 0x0204, 0xA832);

extern void GXDisposeFont(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x0205, 0xA832);

extern void GXChangedFont(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x0206, 0xA832);

extern gxFontFormatTag GXGetFontFormat(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x0207, 0xA832);

extern gxFont GXGetDefaultFont(void )
 THREEWORDINLINE(0x303C, 0x0208, 0xA832);

extern gxFont GXSetDefaultFont(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x0209, 0xA832);

extern long GXFindFonts(gxFont familyID, gxFontName name, gxFontPlatform platform, gxFontScript script, gxFontLanguage language, long length, const unsigned char text[], long index, long count, gxFont fonts[])
 THREEWORDINLINE(0x303C, 0x020A, 0xA832);

extern long GXCountFontGlyphs(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x020B, 0xA832);

extern long GXCountFontTables(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x020C, 0xA832);

extern long GXGetFontTable(gxFont fontID, long index, void *tableData, gxFontTableTag *tableTag)
 THREEWORDINLINE(0x303C, 0x020D, 0xA832);

extern long GXFindFontTable(gxFont fontID, gxFontTableTag tableTag, void *tableData, long *index)
 THREEWORDINLINE(0x303C, 0x020E, 0xA832);

extern long GXGetFontTableParts(gxFont fontID, long index, long offset, long length, void *tableData, gxFontTableTag *tableTag)
 THREEWORDINLINE(0x303C, 0x020F, 0xA832);

extern long GXFindFontTableParts(gxFont fontID, gxFontTableTag tableTag, long offset, long length, void *tableData, long *index)
 THREEWORDINLINE(0x303C, 0x0210, 0xA832);

extern long GXSetFontTable(gxFont fontID, long index, gxFontTableTag tableTag, long length, const void *tableData)
 THREEWORDINLINE(0x303C, 0x0211, 0xA832);

extern long GXSetFontTableParts(gxFont fontID, long index, gxFontTableTag tableTag, long offset, long oldLength, long newLength, const void *tableData)
 THREEWORDINLINE(0x303C, 0x0212, 0xA832);

extern long GXDeleteFontTable(gxFont fontID, long index, gxFontTableTag tableTag)
 THREEWORDINLINE(0x303C, 0x0213, 0xA832);

extern long GXCountFontNames(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x0214, 0xA832);

extern long GXGetFontName(gxFont fontID, long index, gxFontName *name, gxFontPlatform *platform, gxFontScript *script, gxFontLanguage *language, unsigned char text[])
 THREEWORDINLINE(0x303C, 0x0215, 0xA832);

extern long GXFindFontName(gxFont fontID, gxFontName name, gxFontPlatform platform, gxFontScript script, gxFontLanguage language, unsigned char text[], long *index)
 THREEWORDINLINE(0x303C, 0x0216, 0xA832);

extern long GXSetFontName(gxFont fontID, gxFontName name, gxFontPlatform platform, gxFontScript script, gxFontLanguage language, long length, const unsigned char text[])
 THREEWORDINLINE(0x303C, 0x0217, 0xA832);

extern long GXDeleteFontName(gxFont fontID, long index, gxFontName name, gxFontPlatform platform, gxFontScript script, gxFontLanguage language)
 THREEWORDINLINE(0x303C, 0x0218, 0xA832);

extern gxFontName GXNewFontNameID(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x0219, 0xA832);

extern long GXCountFontEncodings(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x021A, 0xA832);

extern gxFontPlatform GXGetFontEncoding(gxFont fontID, long index, gxFontScript *script, gxFontLanguage *language)
 THREEWORDINLINE(0x303C, 0x021B, 0xA832);

extern long GXFindFontEncoding(gxFont fontID, gxFontPlatform platform, gxFontScript script, gxFontLanguage language)
 THREEWORDINLINE(0x303C, 0x021C, 0xA832);

extern long GXApplyFontEncoding(gxFont fontID, long index, long *length, const unsigned char text[], long count, unsigned short glyphs[], char was16Bit[])
 THREEWORDINLINE(0x303C, 0x021D, 0xA832);

extern long GXCountFontVariations(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x021E, 0xA832);

extern long GXFindFontVariation(gxFont fontID, gxFontVariationTag variationTag, Fixed *minValue, Fixed *defaultValue, Fixed *maxValue, gxFontName *name)
 THREEWORDINLINE(0x303C, 0x021F, 0xA832);

extern gxFontVariationTag GXGetFontVariation(gxFont fontID, long index, Fixed *minValue, Fixed *defaultValue, Fixed *maxValue, gxFontName *name)
 THREEWORDINLINE(0x303C, 0x0220, 0xA832);

extern long GXCountFontInstances(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x0221, 0xA832);

extern gxFontName GXGetFontInstance(gxFont fontID, long index, gxFontVariation variation[])
 THREEWORDINLINE(0x303C, 0x0222, 0xA832);

extern long GXSetFontInstance(gxFont fontID, long index, gxFontName name, const gxFontVariation variation[])
 THREEWORDINLINE(0x303C, 0x0223, 0xA832);

extern long GXDeleteFontInstance(gxFont fontID, long index, gxFontName name)
 THREEWORDINLINE(0x303C, 0x0224, 0xA832);

extern long GXCountFontDescriptors(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x0225, 0xA832);

extern gxFontDescriptorTag GXGetFontDescriptor(gxFont fontID, long index, Fixed *descriptorValue)
 THREEWORDINLINE(0x303C, 0x0226, 0xA832);

extern long GXFindFontDescriptor(gxFont fontID, gxFontDescriptorTag descriptorTag, Fixed *descriptorValue)
 THREEWORDINLINE(0x303C, 0x0227, 0xA832);

extern long GXSetFontDescriptor(gxFont fontID, long index, gxFontDescriptorTag descriptorTag, Fixed descriptorValue)
 THREEWORDINLINE(0x303C, 0x0228, 0xA832);

extern long GXDeleteFontDescriptor(gxFont fontID, long index, gxFontDescriptorTag descriptorTag)
 THREEWORDINLINE(0x303C, 0x0229, 0xA832);

extern long GXCountFontFeatures(gxFont fontID)
 THREEWORDINLINE(0x303C, 0x022A, 0xA832);

extern gxFontName GXGetFontFeature(gxFont fontID, long index, gxFontFeatureFlag *flags, long *settingCount, gxFontFeatureSetting settings[], gxFontFeature *feature)
 THREEWORDINLINE(0x303C, 0x022B, 0xA832);

extern gxFontName GXFindFontFeature(gxFont fontID, gxFontFeature feature, gxFontFeatureFlag *flags, long *settingCount, gxFontFeatureSetting settings[], long *index)
 THREEWORDINLINE(0x303C, 0x022C, 0xA832);

extern long GXGetFontDefaultFeatures(gxFont fontID, gxRunFeature features[])
 THREEWORDINLINE(0x303C, 0x0274, 0xA832);

extern void GXFlattenFont(gxFont source, scalerStream *stream, gxSpoolBlock *block)
 THREEWORDINLINE(0x303C, 0x022D, 0xA832);

#endif
 
#if defined(__MWERKS__) && GENERATING68K
	#pragma pop
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __GXFONTS__ */

